Subject: Re: Apache with mod_proxy as caching proxy randomly fails
From: Brian Dessent <[email-masked]>
Cc: Cygwin mailing list <[email-masked]>
Date: Mon, 14 Jul 2003 14:43:52 -0700

"Hannu E K Nevalainen (garbage mail)" wrote:
> 
> > From: [email-masked] [mailto:[email-masked]]On Behalf
> > Of Brian Dessent
> 
> > Hi.  I've been trying for some time now to get Apache working as a
> > caching proxy.  I am finding that random requests fail, returning a HTTP
> > 503 error to the caller (which happens to be another chained proxy, but
> > that's not relevent here), with a corresponding line in the error log
> > similar to :
> >
> > [Sun Jul 13 11:16:37 2003] [error] (13)Permission denied: proxy: error
> > linking cache file /var/cache/apache/tmp003196 to
> > /var/cache/apache/9/Q/VkKA5ubeqzho36CHKUug
> --8<--
> 
>  Just a thought: Is it possible that the fault isn't within Apache?
> Does all directories exist? Can you mimick the rename/move/link/unlink
> operations that  Apache is attempting? (Check the source to see what it
> attempts?)
> 

Well, I've ensured that /var/cache/apache exists; after that it's pretty
much apache's responsibility (and indeed it does create the heirarchy
below, based upon a config directive for the derired depth.)

The problem that it's having, apparently, is that when you have caching
enabled, it creates a temp-file for every request, and then links it to
a path/filename that is meaningful to it if it discovers that it should
cache the response.  And the errors that I"m getting apparently stem
from the fact that such an object already exists during this
rename-phase.  The question is why does it fail for certain, random
requests and not for all of them?

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/